Open Infrastructure - Task #8536

Add Ubuntu 20.10 Support to DCL
10/26/2020 11:07 AM - Sanghee Kim

Status: Closed Start date: 10/26/2020
Priority: Normal Due date:

Assignee: Sanghee Kim % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description
Timothee has created the new Ubuntu image. Mondi, could you put it on our DCL web?

History

#1 - 10/26/2020 02:01 PM - Mondi Ravi

- Status changed from New to Seen

#2 - 10/26/2020 02:32 PM - Mondi Ravi

| am listing out things in verbose, so that one can follow what | generally do for this:

1. Check the templates (for this case: ipv6only-Ubuntu 20.10 and public-Ubuntu 20.10

1.1 Ensure the owner of these templates is oneadmin and they belong to the group oneadmin

1.2 Make sure that USE permission is granted to all (Owner, Group and Others) and MANAGE permission is granted to Owner

1.3 Make sure the image used by the template (for this case: ubuntu-groovy-2020-10-25) has USE permission granted to all (Owner, Group and
Others) and MANAGE permission to Owner

2. Login to the server ({staging/prod/dev}.ungleich.ch) and import the template

[pcoder@archlinux ~]$ ssh app@ungleich.ch

X11 forwarding request failed on channel 0

Linux dynamicweb-production 3.16.0-4-amd64 #1 SMP Debian 3.16.51-3 (2017-12-13) x86_64
Welcome to dynamicweb-production.ungleich.ch

+ +

No mail.

Last login: Mon Oct 19 10:47:04 2020 from 157.44.91.77

[14:24:36] dynamicweb-production:~$ cd app

[14:24:41] dynamicweb-production:~/app$ source /home/app/pyvenv/bin/activate
(pyvenv) [14:24:45] dynamicweb-production:~/app$ ./manage.py fetchvmtemplates
(pyvenv) [14:25:17] dynamicweb-production:~/app$ psql

psagl (9.6.19, server 9.4.21)

Type "help" for help.

app=> select * from datacenterlight_vmtemplate where name like '%20.10' order by id desc;
id | name | opennebula_vm_template_id | vm_type

1091 | Ubuntu 20.10
1064 | Ubuntu 20.10
(2 rows)

191 | ipvéonly
192 | public

3. Enable them in the various calculators using django admin user team@ungleich.ch (Ask mondi or sanghee if anything is not clear in the CMS)
3.1 Landing pages (dcl/ipv6only) /
3.2 Hosting pages (dcl/ipv6only) /createvm

#3 - 10/26/2020 03:01 PM - Mondi Ravi

- Status changed from Seen to In Progress
Tested the templates on staging. Both dcl/ipv6only work like a charm.

Putting them on production now.

#4 - 10/26/2020 03:13 PM - Mondi Ravi
- Status changed from In Progress to Feedback

- Assignee changed from Mondi Ravi to Sanghee Kim

Ubuntu 20.10 is now available on all our calculators.

#5 - 12/09/2022 04:48 PM - Nico Schottelius
- Status changed from Feedback to Closed
